<template>
    <div class="circle" :class="propStyles" />
</template>

<script lang="ts">
import { Component, Vue, Prop } from "vue-property-decorator";

@Component
export default class ColoredCircle extends Vue {
  @Prop({ default: "green" }) public readonly color!:
    | "green"
    | "blue"
    | "orange"
    | "gray";
  @Prop({ default: "default" }) public readonly size!:
    | "small"
    | "default"
    | "large";

  get propStyles() {
    return {
      small: this.size === "small",
      large: this.size === "large",
      "default-size": this.size === "default",
      green: this.color === "green",
      blue: this.color === "blue",
      orange: this.color === "orange",
      gray: this.color === "gray"
    };
  }
}
</script>

<style lang="scss" scoped>
.circle {
    box-sizing: border-box;
    border-radius: 50%;
}

.small {
    height: 8px;
    width: 8px;
}

.default-size {
    height: $baseFontSize;
    width: $baseFontSize;
}

.large {
    height: $lgIconSize;
    width: $lgIconSize;
}

.green {
    background-color: $primaryGreen;
}

.blue {
    background-color: $transferBlue;
}

.orange {
    background-color: $orange;
}

.gray {
    background-color: $darkGray;
}
</style>
